=== requirements.txt ===
xz,https://tukaani.org/xz/xz-5.2.3.tar.bz2 --cmake dep/xz.cmake
zstd,facebook/zstd@v1.3.2 --cmake dep/zstd.cmake
zlib,http://zlib.net/fossils/zlib-1.2.11.tar.gz
