=== debian/changelog ===
libshrinkwrap (1.2.0-3) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * Mark M-A: foreign

  [ Étienne Mollier ]
  * d/control: complete package description.
  * d/control: declare compliance to standards version 4.7.2.
  * cmake-4.patch: new: fix build failure with cmake 4. (Closes: #1113199)
  * d/watch: convert to v5 Github template.
  * d/control: remove redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Thu, 25 Sep 2025 21:38:14 +0200

libshrinkwrap (1.2.0-2) unstable; urgency=medium

  * Packaging update
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 05 Oct 2022 11:14:21 +0200

libshrinkwrap (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1020501)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Sep 2022 11:40:46 +0200
