=== debian/control ===
Source: libshrinkwrap
Section: libdevel
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/libshrinkwrap
Vcs-Git: https://salsa.debian.org/med-team/libshrinkwrap.git
Homepage: https://github.com/jonathonl/shrinkwrap
Multi-Arch: foreign

Package: libshrinkwrap-dev
Architecture: all
Depends: ${misc:Depends}
Description: std::streambuf wrapper for compression formats
 Shrinkwrap is a std::streambuf wrapper for compression formats.
 It supports:
 .
  * XZ streambuf with std::istream,
  * XZ streambuf with std::istreambuf_iterator,
  * XZ input stream,
  * XZ output stream,
  * BGZF (Blocked GNU Zip Format),
  * and of course generic input streams
 .
 Caveat: it does not support files with concatenated xz streams.
