=== debian/watch ===
Version: 5

Template: Github
Owner: jonathonl
Project: shrinkwrap
